/**
 * problem from handout 3
  Produce a version of a string with the 2 letters 
  after first 'a' capitalized
  */

public class PracticeProblem6 {

	public static void main(String[] args) {
		 
		String str = "blackboard";
				
		//Goal: Produce a version of str with the 2 letters after first 'a' capitalized
		
		// 1. find position of first a (assuming there is an a)
		int posA = str.indexOf('a');
		System.out.println(posA);
		
		/* Strategy:
		    Separate three different parts of the string: up to the first a, 
		    the two letters after a, and the rest.
		    Then capitalize the part that contains the two letters and put
		    the three parts together in a new string.		   
		*/
		
		// compute part1 = string before a, 
		String part1 = str.substring(0,posA+1);
		System.out.println("part1 ="+ part1);
		
		// part2 = the two letters after a, 
		String part2 = str.substring(posA+1, posA+3);
		System.out.println("part2 =" + part2);	
		
		// part 3 = and the rest
		String part3 = str.substring(posA+3);
		System.out.println("part3 =" + part3);
		
		// 3. put together  part1 + part2 Capitalized + part3
		String result = part1 + part2.toUpperCase() + part3;
		System.out.println(result);

	}

}
